Package io.vertx.jdbcclient

## Class JDBCConnectOptions

- java.lang.Object
- - io.vertx.jdbcclient.SqlOptions
  - - io.vertx.jdbcclient.JDBCConnectOptions

-     public class JDBCConnectOptions
      extends SqlOptions

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JDBCConnectOptions()` |
    `JDBCConnectOptions​(JsonObject json)` |
    `JDBCConnectOptions​(JDBCConnectOptions other)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getConnectTimeout()` |
    `String` | `getDatabase()` |
    `JsonObject` | `getExtraConfig()` |
    `int` | `getIdleTimeout()` |
    `String` | `getJdbcUrl()` |
    `String` | `getMetricsName()` |
    `String` | `getPassword()` |
    `TracingPolicy` | `getTracingPolicy()` |
    `String` | `getUser()` |
    `JDBCConnectOptions` | `setAutoGeneratedKeys​(boolean autoGeneratedKeys)` |
    `JDBCConnectOptions` | `setAutoGeneratedKeysIndexes​(JsonArray autoGeneratedKeysIndexes)` |
    `JDBCConnectOptions` | `setCatalog​(String catalog)` |
    `JDBCConnectOptions` | `setConnectTimeout​(int connectTimeout)` |
    `JDBCConnectOptions` | `setDatabase​(String database)` |
    `JDBCConnectOptions` | `setExtraConfig​(JsonObject extraConfig)` |
    `JDBCConnectOptions` | `setFetchDirection​(FetchDirection fetchDirection)` |
    `JDBCConnectOptions` | `setFetchSize​(int fetchSize)` |
    `JDBCConnectOptions` | `setIdleTimeout​(int idleTimeout)` |
    `JDBCConnectOptions` | `setJdbcUrl​(String jdbcUrl)` |
    `JDBCConnectOptions` | `setMaxRows​(int maxRows)` |
    `JDBCConnectOptions` | `setMetricsName​(String metricsName)` | Set the metrics name identifying the reported metrics, useful for grouping metrics with the same name.
    `JDBCConnectOptions` | `setPassword​(String password)` |
    `JDBCConnectOptions` | `setQueryTimeout​(int queryTimeout)` |
    `JDBCConnectOptions` | `setReadOnly​(boolean readOnly)` |
    `JDBCConnectOptions` | `setResultSetConcurrency​(ResultSetConcurrency resultSetConcurrency)` |
    `JDBCConnectOptions` | `setResultSetType​(ResultSetType resultSetType)` |
    `JDBCConnectOptions` | `setSchema​(String schema)` |
    `JDBCConnectOptions` | `setTracingPolicy​(TracingPolicy tracingPolicy)` | Set the tracing policy for the client behavior when Vert.x has tracing enabled.
    `JDBCConnectOptions` | `setTransactionIsolation​(TransactionIsolation transactionIsolation)` |
    `JDBCConnectOptions` | `setUser​(String user)` |
    `JsonObject` | `toJson()` |

    - ### Methods inherited from class io.vertx.jdbcclient.SqlOptions

      `getAutoGeneratedKeysIndexes, getCatalog, getFetchDirection, getFetchSize, getMaxRows, getQueryTimeout, getResultSetConcurrency, getResultSetType, getSchema, getTransactionIsolation, isAutoGeneratedKeys, isReadOnly`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JDBCConnectOptions

          public JDBCConnectOptions()

    - #### JDBCConnectOptions

          public JDBCConnectOptions​(JsonObject json)

    - #### JDBCConnectOptions

          public JDBCConnectOptions​(JDBCConnectOptions other)

  - ### Method Detail

    - #### getJdbcUrl

          public String getJdbcUrl()

    - #### setJdbcUrl

          public JDBCConnectOptions setJdbcUrl​(String jdbcUrl)

    - #### getUser

          public String getUser()

    - #### setUser

          public JDBCConnectOptions setUser​(String user)

    - #### getPassword

          public String getPassword()

    - #### setPassword

          public JDBCConnectOptions setPassword​(String password)

    - #### getDatabase

          public String getDatabase()

    - #### setDatabase

          public JDBCConnectOptions setDatabase​(String database)

    - #### getConnectTimeout

          public int getConnectTimeout()

    - #### setConnectTimeout

          public JDBCConnectOptions setConnectTimeout​(int connectTimeout)

    - #### getIdleTimeout

          public int getIdleTimeout()

    - #### setIdleTimeout

          public JDBCConnectOptions setIdleTimeout​(int idleTimeout)

    - #### getMetricsName

          public String getMetricsName()

      Returns:
        the metrics name identifying the reported metrics.

    - #### setMetricsName

          public JDBCConnectOptions setMetricsName​(String metricsName)

      Set the metrics name identifying the reported metrics, useful for grouping metrics with the same name.
      Parameters:
        `metricsName` - the metrics name
      Returns:
        a reference to this, so the API can be used fluently

    - #### getTracingPolicy

          public TracingPolicy getTracingPolicy()

      Returns:
        the tracing policy

    - #### setTracingPolicy

          public JDBCConnectOptions setTracingPolicy​(TracingPolicy tracingPolicy)

      Set the tracing policy for the client behavior when Vert.x has tracing enabled.
      Parameters:
        `tracingPolicy` - the tracing policy
      Returns:
        a reference to this, so the API can be used fluently

    - #### getExtraConfig

          public JsonObject getExtraConfig()

    - #### setExtraConfig

          public JDBCConnectOptions setExtraConfig​(JsonObject extraConfig)

    - #### setReadOnly

          public JDBCConnectOptions setReadOnly​(boolean readOnly)

      Overrides:
        `setReadOnly` in class `SqlOptions`

    - #### setCatalog

          public JDBCConnectOptions setCatalog​(String catalog)

      Overrides:
        `setCatalog` in class `SqlOptions`

    - #### setTransactionIsolation

          public JDBCConnectOptions setTransactionIsolation​(TransactionIsolation transactionIsolation)

      Overrides:
        `setTransactionIsolation` in class `SqlOptions`

    - #### setResultSetType

          public JDBCConnectOptions setResultSetType​(ResultSetType resultSetType)

      Overrides:
        `setResultSetType` in class `SqlOptions`

    - #### setResultSetConcurrency

          public JDBCConnectOptions setResultSetConcurrency​(ResultSetConcurrency resultSetConcurrency)

      Overrides:
        `setResultSetConcurrency` in class `SqlOptions`

    - #### setAutoGeneratedKeys

          public JDBCConnectOptions setAutoGeneratedKeys​(boolean autoGeneratedKeys)

      Overrides:
        `setAutoGeneratedKeys` in class `SqlOptions`

    - #### setSchema

          public JDBCConnectOptions setSchema​(String schema)

      Overrides:
        `setSchema` in class `SqlOptions`

    - #### setQueryTimeout

          public JDBCConnectOptions setQueryTimeout​(int queryTimeout)

      Overrides:
        `setQueryTimeout` in class `SqlOptions`

    - #### setFetchDirection

          public JDBCConnectOptions setFetchDirection​(FetchDirection fetchDirection)

      Overrides:
        `setFetchDirection` in class `SqlOptions`

    - #### setFetchSize

          public JDBCConnectOptions setFetchSize​(int fetchSize)

      Overrides:
        `setFetchSize` in class `SqlOptions`

    - #### setAutoGeneratedKeysIndexes

          public JDBCConnectOptions setAutoGeneratedKeysIndexes​(JsonArray autoGeneratedKeysIndexes)

      Overrides:
        `setAutoGeneratedKeysIndexes` in class `SqlOptions`

    - #### setMaxRows

          public JDBCConnectOptions setMaxRows​(int maxRows)

      Overrides:
        `setMaxRows` in class `SqlOptions`

    - #### toJson

          public JsonObject toJson()